Bug 604465 - publican clean_ids inserts blank lines in <programlisting>s
publican clean_ids inserts blank lines in <programlisting>s
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 19:53 EDT by Lana Brindley
Modified: 2013-10-23 19:16 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 00:16:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing inserted blank lines. (39.78 KB, image/png)
2010-06-15 19:53 EDT, Lana Brindley
no flags Details

  None (edit)
Description Lana Brindley 2010-06-15 19:53:57 EDT
Created attachment 424322 [details]
Screenshot showing inserted blank lines.

Description of problem:
After running "publican clean_ids", blank lines are inserted before the </programlisting> and </screen> tags.

Version-Release number of selected component (if applicable):
$ rpm -qa publican
publican-1.6.3-0.fc12.noarch

How reproducible:
Every time so far

Steps to Reproduce:
1. Write DocbookXML, including the text:
<programlisting>
deferral_window = 120
</programlisting>
2. Run publican clean_ids and reload page
3. Note text has changed to:
<programlisting>deferral_window = 120

</programlisting>
4. Repeat step 2.
5. Note text has changed to:
<programlisting>deferral_window = 120


</programlisting>
6. Repeat step 4 ad infinitum. Note lots of blank lines!
  
Actual results:
Every time clean_ids is run, an extra blank line is inserted into every <screen> and <programlisting> in the document.

Expected results:
No extraneous blank lines.

Additional info:
Screenshot of staged document attached.
Comment 1 Jeff Fearn 2010-06-15 22:05:37 EDT
Stopped clean_ids from adding new lines to verbatim items on exit.

Fixed in build; 1.6.3-0.t115

Note You need to log in before you can comment on or make changes to this bug.